from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XTableName(Protocol):
    def setComposedName(self, ComposedName: str, Type: int) -> None: ...
    def raises(self, param0: NoSuchElementException) -> get: ...
    def raises(self, param0: IllegalArgumentException) -> set: ...
